//
//  SettingsScene.swift
//  GoldWars
//
//  Created by Tim Herbst on 10.05.20.
//  Copyright © 2020 SP2. All rights reserved.
//

import SpriteKit

class SettingsScene: SKScene {
    var entityManager: EntityManager!
    
    override func sceneDidLoad() {
        entityManager = EntityManager(scene: self)
        let positionX = self.size.width * 0.1
        let positionY = self.size.height * 0.05
        
        entityManager.add(Button(name: "backToMenuScene",
                                 iconName: "",
                                 text: "Back",
                                 position: CGPoint(x: positionX, y: positionY),
                                 onButtonPress: {
                                    self.loadScene(scene: MenuScene(size: self.size))
        }))
        entityManager.add(Button(name: "StopMenuMusic",
                                 iconName: "",
                                 text: "ON/OFF",
                                 position: CGPoint(x: self.size.width / 2, y: self.size.height / 2),
                                 onButtonPress: {
                                    if SoundManager.isMusicPlaying == true {
                                        SoundManager.stopMenuMusic()
                                        SoundManager.isMusicEnabled = false
                                    } else {
                                        SoundManager.isMusicEnabled = true
                                        SoundManager.startMenuMusic()
                                    }
                                    
        }))
        
        entityManager.add(Background(size: self.size))
    }
    
    func loadScene(scene: SKScene) {
        let transition = SKTransition.flipVertical(withDuration: 0.5)
        self.view?.presentScene(scene, transition: transition)
    }
    
    override func update(_ currentTime: TimeInterval) {
        entityManager.getBackground()!.update(deltaTime: currentTime)
    }
    
}
